using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTableBBS
{
	/// <summary>
	/// listTop 的摘要说明。
	/// </summary>
	public class listTop : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label L_bbsname;
		protected System.Web.UI.WebControls.Label L_user;
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.TableName="DTable_BBS";
			L_bbsname.Text=sharecode.strBBSName;


			string strkeyword=sharecode.GetQueryStringValue("DTable_BBS_kw");
			string strse=sharecode.GetQueryStringValue("DTable_BBS_Se");
			string strsql="";
			strkeyword=Page.Server.HtmlEncode(strkeyword);//html编码 
		
			if(strkeyword!="")
			{
				
			
				if(strse=="主题")
				{
					strsql="a.主题 like '%" + strkeyword + "%'";
				}
				else if(strse=="作者")
				{
					strsql="a.发布人 like '%" + strkeyword + "%'";
				}
				else if(strse=="内容")
				{
					strsql="a.内容 like '%" + strkeyword + "%'";
				}
				else if(strse=="模糊")
				{
					strsql="a.主题 like '%" + strkeyword + "%' or a.发布人 like '%" + strkeyword + "%' or a.内容 like '%" + strkeyword + "%'";
				}
                
			}


			if(strsql!="")
			{
				DTable1.List_SQL="select a.id,a.发布时间,b.栏目名称,a.主题,a.发布人,a.点击率 as 点击,case 父id when 0 then a.id else a.父id end as 链接id,a.栏目,a.置顶,replace(replace(replace(cast(内容 as nvarchar(200)),'<','〈'),'>','〉'),'''','') as 内容 from DTable_BBS a inner join DTable_BBS_Board b on a.栏目=b.id where " + strsql + " order by a.发布时间 desc";
			}
			else
			{
				DTable1.List_SQL="select a.id,a.发布时间,b.栏目名称,a.主题,a.发布人,a.点击率 as 点击,case 父id when 0 then a.id else a.父id end as 链接id,a.栏目,a.置顶,replace(replace(replace(cast(内容 as nvarchar(200)),'<','〈'),'>','〉'),'''','') as 内容 from DTable_BBS a inner join DTable_BBS_Board b on a.栏目=b.id order by a.发布时间 desc";

			}
			DTable1.Show_Enable=false;

			DTable1.List_FieldFormat="2|align=center|linkfield|list.aspx?DTable_b=|7||进入该栏目|^3||linkfield|show.aspx?addnew=true&rMviewid=|6||察看该帖|^4|align=center|linkfield|showuser.aspx?username=|4||察看该用户信息|^6||hiddenfield|||||^7||hiddenfield|||||^8||hiddenfield|||||^9||hiddenfield|||||^1|align=center|text|100|9|||^5|align=center||||||"; 

			DTable1.Page_Pos=1; 
			DTable1.List_NumCol="condition||8|true@@boolean|=|<img src=img_bbsset/istop.gif>|<img src=img_bbsset/folder.gif>||"; 

			DTable1.List_Sty_Title="align=center style='color:#FFFFFF;background-image:url(img_bbs/bg1.gif)'"; 
			DTable1.List_Sty_Table=" width='100%' border=\"1\" cellpadding=\"3\" cellspacing='0' bordercolor='#111111' bordercolorlight='#666688' bordercolordark='#666688' style='border-collapse: collapse' align='center'"; 

			
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
